Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.data
Class NV

    java.lang.Object
      things.data.NVImmutable
          things.data.NV

All Implemented Interfaces:
  java.io.Serializable

    public class NV

extends NVImmutable

This is a name/value pair as strings.

A value can be more than one item.

Version:
  1.0

  Version History

      EPG - Rewrite from another project - 22 MAY 042

Author:
  Erich P. Gatejen
See Also:
  Serialized Form

Field Summary

Fields inherited from class things.data.NVImmutable
`name, value`

Constructor Summary
`NV(java.lang.String n, java.lang.String... v)` Setting constructor.
`NV(java.lang.String n, java.lang.String v)` Setting constructor.

Method Summary
`void` | `setName(java.lang.String name)` Set the name.
`void` | `setValue(java.lang.String v)` Set the value.
`void` | `setValues(java.lang.String... v)` Set the values.

Methods inherited from class things.data.NVImmutable
`getFlat, getName, getValue, getValues, getValuesAsList, isMultivalue, isValid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NV

    public NV(java.lang.String n,
              java.lang.String v)

  Setting constructor.

  Parameters:
    `n` - the name
    `v` - the value

### NV

    public NV(java.lang.String n,
              java.lang.String... v)

  Setting constructor.

  Parameters:
    `n` - the name
    `v` - the value

Method Detail

### setName

    public void setName(java.lang.String name)

  Set the name.

  Parameters:
    `name` - The name to set.

### setValue

    public void setValue(java.lang.String v)

  Set the value.

  Parameters:
    `v` - the value.

### setValues

    public void setValues(java.lang.String... v)

  Set the values.

  Parameters:
    `v` - The values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.